<template>
  <el-table
    :data="this.notifications"
    fit
    class="--grey"
    highlight-current-row
    style="width: 100%;">
    <el-table-column label="Push Notifikasi" align="left">
      <template slot-scope="scope">
        <p>
          <span class="--green --bold">{{ toDate(scope.row.created_at)}}</span>
          <br/>
          {{ scope.row.title_pn }}. {{ scope.row.body_pn }}
        </p>
      </template>
    </el-table-column>
    <el-table-column label="Apakah Membantu?" width="180" align="right">
      <template slot-scope="scope" class="cell-mid">
        <span v-if="scope.row.helpful" class="--light-green --bold">Membantu</span>
        <span v-if="scope.row.helpful === false" class="--red --bold">Kurang Membantu</span>
      </template>
    </el-table-column>
  </el-table>
</template>

<script>
import moment from 'moment'
export default {
  name: 'DetailNotification',
  computed: {
    notifications: {
      get: function() {
        return this.$store.state.farmer.detail.notifications;
      }
    }
  },
  methods: {
    toDate(value) {
      return moment(String(value)).format('DD/MM/YYYY hh:mm:ss')
    }
  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
  @import '@/styles/variables.scss';
  @import '@/styles/mixin.scss';
  h4 {
    @include ritx-bold;
    font-size: 16px;
    text-align: right;
    color: $ritx-dark-green;
  }

  h5 {
    color: $ritx-dark-green;
    @include ritx-bold;
  }

  .svg-icon {
    width: 25px;
    height: 25px;
    margin-left: 10px;
    vertical-align: bottom;
  }
  </style>
